fr.enssat.BoulderDash.models

## Class GameInformationModel

- java.lang.Object
- - java.util.Observable
  - - fr.enssat.BoulderDash.models.GameInformationModel

    public class GameInformationModel
    extends java.util.Observable

GameInformationModel will contain all the data which will go to the InformationPanel.

Since:
  2015-06-19
Author:
  Colin Leverger <me@colinleverger.fr>

### Constructor Summary

Constructors
Constructor and Description
`GameInformationModel(int remainingsDiamonds)`

### Method Summary

Methods
`void` `decrementRemainingsDiamonds()` Decrement of one the number total of remaining diamonds.
`int` `getRemainingsDiamonds()` Returns the actual number of remaining diamonds
`int` `getScore()` Returns the actual score
`int` `getTimer()` Gets the timer
`void` `incrementScore()` Increments the score & notify observers
`void` `resetInformations()` Reset details about object
`void` `setRemainingsDiamonds(int remainingDiamonds)` Sets the number of remainingDiamonds
`void` `setScore(int score)` Sets the score
`void` `setTimer(int timer)` Sets the timer

### Methods inherited from class java.util.Observable

`addObserver, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GameInformationModel

    public GameInformationModel(int remainingsDiamonds)

### Method Detail

#### getScore

    public int getScore()

Returns the actual score

Returns:
  score

#### setScore

    public void setScore(int score)

Sets the score

Parameters:
  `score` - Score

#### getRemainingsDiamonds

    public int getRemainingsDiamonds()

Returns the actual number of remaining diamonds

Returns:
  Remaining diamonds

#### setRemainingsDiamonds

    public void setRemainingsDiamonds(int remainingDiamonds)

Sets the number of remainingDiamonds

Parameters:
  `remainingDiamonds` - Remaining diamonds

#### getTimer

    public int getTimer()

Gets the timer

Returns:
  Timer

#### setTimer

    public void setTimer(int timer)

Sets the timer

Parameters:
  `timer` - Timer

#### incrementScore

    public void incrementScore()

Increments the score & notify observers

#### decrementRemainingsDiamonds

    public void decrementRemainingsDiamonds()

Decrement of one the number total of remaining diamonds.

#### resetInformations

    public void resetInformations()

Reset details about object